<?xml version="1.0" encoding="UTF-8"?>
<oakxmlfile>
	<struct name="font" trailing_data="true"> //  total bytes
        <ulong name="flags"/> // 8 bytes
        <short name="ascending_height"/>
        <short name="descending_height"/>
        <short name="leading_height"/>
        <short name="leading_width"/>
        <long name="number_of_characters"/>
        <long name="characters_offset"/>
        <long name="characters_size"/>
        <tag name="style_font_tags" group="font" count="4"/> // 4 bytes
        <short name="style_font_indexes" count="4"/>
        <!--byte count="8" /-->
        <!--byte count="20" /-->
        <!--byte count="22204" /--> //testing stuff
	</struct>
	<structedit struct="font" layout="horizontal">
		<frame stretch="true">
			<frame text="Styles" stretch="true">
				<frame stretch="true">
					<frame layout="table">
						<row>
							<label text="Italic:"/>
							<item target="style_font_tags" index="0"/>
						</row>
						<row>
							<label text="Bold:"/>
							<item target="style_font_tags" index="1"/>
						</row>
						<row>
							<label text="Condensed:"/>
							<item target="style_font_tags" index="2"/>
						</row>
						<row>
							<label text="Underlined:"/>
							<item target="style_font_tags" index="3"/>
						</row>
						<row>
							<label text="Font Editor coming soon!."/>
						</row>
					</frame>
				</frame>
			</frame>
		</frame>
	</structedit>
</oakxmlfile>
